Package com.germinus.easyconf

# Class InvalidPropertyException

NestableRuntimeException
com.germinus.easyconf.ConfigurationException
com.germinus.easyconf.InvalidPropertyException

public class InvalidPropertyException extends ConfigurationException
Thrown when an XML configuration file contains a variable which either is not of the form `${variableName}` or is not defined in any of the properties files associated with its component

Version:
  $Revision: 1.2 $
Author:
  Jorge Ferrer

## Constructor Summary

Constructors
Constructor
Description
`InvalidPropertyException(String componentName, Throwable e)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`

### Methods inherited from class com.germinus.easyconf.ConfigurationException

`getComponentName`

## Constructor Details

### InvalidPropertyException

public InvalidPropertyException(String componentName, Throwable e)

## Method Details

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `ConfigurationException`